Page MenuHomePhabricator

[LLDB] Convert SVE macros into c++ constants and inlines
ClosedPublic

Authored by omjavaid on Aug 10 2020, 5:30 AM.

Details

Summary

This patch updates LLDB's in house version of SVE ptrace/sig macros by converting them into constants and inlines. They are house under SVE namespace and are used by process elf-core for reading SVE register data.

Diff Detail

Event Timeline

omjavaid created this revision.Aug 10 2020, 5:30 AM
omjavaid requested review of this revision.Aug 10 2020, 5:30 AM
labath accepted this revision.Aug 11 2020, 4:06 AM

I originally thought we would keep the original macro capitalization (similar to how llvm/BinaryFormat/elf.h maintains the elf.h capitalizations even though it does not define these symbols as macros). I still think that would be a good idea, but I don't mind the current version either. If you do keep the current version, then I think we should also change the namespace name to lower case (sve::).

lldb/source/Plugins/Process/Utility/LinuxPTraceDefines_arm64sve.h
21–22

too aggressive search&replace ?

This revision is now accepted and ready to land.Aug 11 2020, 4:06 AM
omjavaid updated this revision to Diff 285957.Aug 17 2020, 4:04 AM

This update fixes SVE namespace name to lower case and fixes a typo in previous update.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 19 2020, 12:28 AM